Name:		gimagereader
Version:	3.4.2
Release:	%mkrel 3
Summary:	A front-end to tesseract-ocr
Group:		Graphics/Utilities
License:	GPLv3+
URL:		https://github.com/manisandro/gimagereader
Source0:	https://github.com/manisandro/gimagereader/releases/download/v%{version}/%{name}-%{version}.tar.xz
# https://github.com/manisandro/gImageReader/issues/673
Patch1:		0001-Work-around-enchant_get_prefix_dir-which-is-not-available.patch

BuildRequires:	cmake
BuildRequires:	desktop-file-utils
BuildRequires:	gcc-c++
BuildRequires:	intltool
BuildRequires:	libgomp-devel
BuildRequires:	pkgconfig(ddjvuapi)
BuildRequires:	pkgconfig(enchant-2)
BuildRequires:	pkgconfig(libpodofo)
BuildRequires:	pkgconfig(sane-backends)
BuildRequires:	pkgconfig(tesseract)

BuildRequires:	pkgconfig(cairomm-1.0)
BuildRequires:	pkgconfig(json-glib-1.0)
BuildRequires:	pkgconfig(libjpeg)
BuildRequires:	pkgconfig(libxml++-3.0)
BuildRequires:	pkgconfig(libzip)
BuildRequires:	pkgconfig(gtkmm-3.0)
BuildRequires:	pkgconfig(gtksourceviewmm-3.0)
BuildRequires:	pkgconfig(gtkspellmm-3.0)
BuildRequires:	pkgconfig(poppler-glib)
BuildRequires:	pkgconfig(uuid)
BuildRequires:	python3-gobject3

BuildRequires:	cmake(Qt6Concurrent)
BuildRequires:	cmake(Qt6Core)
BuildRequires:	cmake(Qt6Core5Compat)
BuildRequires:	cmake(Qt6DBus)
BuildRequires:	cmake(Qt6Gui)
BuildRequires:	cmake(Qt6Network)
BuildRequires:	cmake(Qt6PrintSupport)
BuildRequires:	cmake(Qt6Widgets)
BuildRequires:	cmake(Qt6Xml)
BuildRequires:	pkgconfig(poppler-qt6)
BuildRequires:	cmake(QuaZip-Qt6)
BuildRequires:	pkgconfig(QtSpell-qt6)

%description
gImageReader is a simple front-end to tesseract. Features include:
 - Import PDF documents and images from disk, scanning devices, clipboard and screenshots
 - Process multiple images and documents in one go
 - Manual or automatic recognition area definition
 - Recognize to plain text or to hOCR documents
 - Recognized text displayed directly next to the image
 - Post-process the recognized text, including spellchecking
 - Generate PDF documents from hOCR documents


%package gtk
Summary:	A Gtk+3 front-end to tesseract-ocr
Group:		Graphical desktop/GNOME
Requires:	%{name}-common = %{version}-%{release}
# For glib networking operations
Requires:	gvfs

%description gtk
gImageReader is a simple front-end to tesseract. Features include:
 - Import PDF documents and images from disk, scanning devices, clipboard and screenshots
 - Process multiple images and documents in one go
 - Manual or automatic recognition area definition
 - Recognize to plain text or to hOCR documents
 - Recognized text displayed directly next to the image
 - Post-process the recognized text, including spellchecking
 - Generate PDF documents from hOCR documents
This package contains the Gtk+3 front-end.


%package qt
Summary:	A Qt6 front-end to tesseract-ocr
Group:		Graphical desktop/KDE
Requires:	%{name}-common = %{version}-%{release}

%description qt
gImageReader is a simple front-end to tesseract. Features include:
 - Import PDF documents and images from disk, scanning devices, clipboard and screenshots
 - Process multiple images and documents in one go
 - Manual or automatic recognition area definition
 - Recognize to plain text or to hOCR documents
 - Recognized text displayed directly next to the image
 - Post-process the recognized text, including spellchecking
 - Generate PDF documents from hOCR documents
This package contains the Qt6 front-end.


%package common
Summary:	Common files for %{name}
Group:		Graphics/Utilities
BuildArch:	noarch

%description common
Common files for %{name}.


%prep
%autosetup -p1

%build
### GTK+ build
%define _vpath_builddir %{_target_platform}-gtk
%cmake -DINTERFACE_TYPE=gtk \
       -DENABLE_VERSIONCHECK=0 \
       -DMANUAL_DIR="%{_defaultdocdir}/%{name}-common"
%cmake_build

### Qt6 build
%define _vpath_builddir %{_target_platform}-qt
%cmake -DINTERFACE_TYPE=qt6 \
       -DENABLE_VERSIONCHECK=0 \
       -DMANUAL_DIR="%{_defaultdocdir}/%{name}-common"
%cmake_build

%install
%define _vpath_builddir %{_target_platform}-gtk
%cmake_install

%define _vpath_builddir %{_target_platform}-qt
%cmake_install

desktop-file-validate %{buildroot}%{_datadir}/applications/%{name}-gtk.desktop
desktop-file-validate %{buildroot}%{_datadir}/applications/%{name}-qt6.desktop

%find_lang %{name}

%files common -f %{name}.lang
%license COPYING
%doc AUTHORS NEWS README.md
%{_iconsdir}/hicolor/48x48/apps/%{name}.png
%{_iconsdir}/hicolor/128x128/apps/%{name}.png
%{_iconsdir}/hicolor/256x256/apps/%{name}.png
%doc %{_defaultdocdir}/%{name}-common/manual*.html

%files gtk
%{_bindir}/%{name}-gtk
%{_metainfodir}/%{name}-gtk.appdata.xml
%{_datadir}/applications/%{name}-gtk.desktop
%{_datadir}/glib-2.0/schemas/org.gnome.%{name}.gschema.xml

%files qt
%{_bindir}/%{name}-qt6
%{_metainfodir}/%{name}-qt6.appdata.xml
%{_datadir}/applications/%{name}-qt6.desktop


%changelog
* Fri Jun 14 2024 daviddavid <daviddavid> 3.4.2-3.mga10
+ Revision: 2073060
- add upstream patch to fix build with enchant2 >= 2.7

* Tue Feb 06 2024 daviddavid <daviddavid> 3.4.2-2.mga10
+ Revision: 2037982
- switch to Qt6
- new version: 3.4.2
- remove merged upstream patches

* Tue Sep 19 2023 daviddavid <daviddavid> 3.4.1-3.mga10
+ Revision: 1988132
- backport upstream patch to fix build with podofo >= 0.10
- rebuild for new podofo 0.10.1

* Sat Sep 02 2023 daviddavid <daviddavid> 3.4.1-2.mga10
+ Revision: 1983543
- rebuild for new quazip 1.4

* Sun Jan 29 2023 daviddavid <daviddavid> 3.4.1-1.mga9
+ Revision: 1936892
- new version: 3.4.1
- initial package gimagereader

